<?php
  include("../scripts/connect.php");
   $conexion=conecta_default();
   include_once("../scripts/session.php");
   //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	  header("Location: ../index.php?err=NoSesion");
    }/*no hay sesion*/
    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();
    }
    //fin validar session
    echo"<form name=\"pagar\" action=\"agrega_guia2.php\" method=\"post\"><center><br><label style='color:#2b385d; font-size:22px; font-weight:bold'>Agregar Gu&iacute;a a Pedidos </label><br><br>";
       $q2 = "SELECT * from paqueterias  WHERE 1 ";
  
  $c2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());
  echo"<center><br>Paqueteria: <select name = \"paq\">";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	 
    echo"<option value=\"$a0\">$a1</option>";
	}
		 echo"</select> No. Rastreo <input type='text' size='18' maxlength='22' name='rastreo' value='' ><br>";
     echo"<br><table><tr align='center' bgcolor=\"#2b385d\"><td><font color=\"white\">Pedido</td><td><font color=\"white\">Fecha</td><td><font color=\"white\">Transaccion</td><td><font color=\"white\">Distribuidor</td><td><font color=\"white\">Cantidad</td><td><font color=\"white\">Puntos</td></tr>";
     $id_cd=$sesion->id;
     $fruit = $_POST["guias"];
     $guia = $_POST["pedido"];
     $unped = $_POST["pedsol"];
     $how_many = count($fruit); 
     
     if($unped==1){
	     
	  $qa = "SELECT cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, consec, usuarios_ci_idusuarios_ci, nombre, appat, apmat FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver  WHERE idtransacciones=$guia";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado22): ' . mysql_error());   
	  $ra = mysql_fetch_object($ca);
   	
   	echo"<tr align='center' bgcolor=\"#c3dfed\"><td>$ra->usuarios_ci_idusuarios_ci - $ra->consec</td><td>$ra->fechat</td><td>$ra->idtransacciones</td><td>$ra->nombre $ra->appat $ra->apmat</td><td>$ra->cantidad</td><td>$ra->puntos</td></tr></table>";

     }

 for ($i=0; $i<$how_many; $i++) {
	 
	  $qa = "SELECT cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, consec, usuarios_ci_idusuarios_ci, nombre, appat, apmat FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver  WHERE idtransacciones=$fruit[$i]";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());

   if(mysql_affected_rows())
   {
   	$ra = mysql_fetch_object($ca);
   	echo"<tr align='center' bgcolor=\"#c3dfed\"><td>$ra->usuarios_ci_idusuarios_ci - $ra->consec</td><td>$ra->fechat</td><td>$ra->idtransacciones</td><td>$ra->nombre $ra->appat $ra->apmat</td><td>$ra->cantidad</td><td>$ra->puntos</td></tr>"; 
     }}echo"<table>";$fruitt = serialize($fruit);
        echo" <br><br>
			<input type=hidden name=guias value=$fruitt>
			<input type=hidden name=pedsol value=$unped>
			<input type=hidden name=pedido value=$guia>
			<input type=\"submit\" value=\"Agregar Guia a Pedido(s)\" name=\"infoped\"></form>";

       ?>

      